
// BeauGaugeExample073Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "BeauGaugeExample073.h"
#include "BeauGaugeExample073Dlg.h"
#include "afxdialogex.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialogEx
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialogEx(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialogEx)
END_MESSAGE_MAP()


// CBeauGaugeExample073Dlg dialog



CBeauGaugeExample073Dlg::CBeauGaugeExample073Dlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(CBeauGaugeExample073Dlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CBeauGaugeExample073Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_BGV6ACTIVEXCTRLTRIAL1, m_gauge1);
	DDX_Control(pDX, IDC_BGV6ACTIVEXCTRLTRIAL4, m_gauge4);
	DDX_Control(pDX, IDC_BGV6ACTIVEXCTRLTRIAL5, m_gauge5);
}

BEGIN_MESSAGE_MAP(CBeauGaugeExample073Dlg, CDialogEx)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_TIMER()
	ON_WM_DESTROY()
END_MESSAGE_MAP()


// CBeauGaugeExample073Dlg message handlers

BOOL CBeauGaugeExample073Dlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		BOOL bNameValid;
		CString strAboutMenu;
		bNameValid = strAboutMenu.LoadString(IDS_ABOUTBOX);
		ASSERT(bNameValid);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here

	this->SetTimer(1,1,NULL);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CBeauGaugeExample073Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialogEx::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CBeauGaugeExample073Dlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialogEx::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CBeauGaugeExample073Dlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

BEGIN_EVENTSINK_MAP(CBeauGaugeExample073Dlg, CDialogEx)
	ON_EVENT(CBeauGaugeExample073Dlg, IDC_BGV6ACTIVEXCTRLTRIAL2, 1, CBeauGaugeExample073Dlg::ValueChangedBgv6activexctrltrial2, VTS_BSTR VTS_R8)
	ON_EVENT(CBeauGaugeExample073Dlg, IDC_BGV6ACTIVEXCTRLTRIAL3, 1, CBeauGaugeExample073Dlg::ValueChangedBgv6activexctrltrial3, VTS_BSTR VTS_R8)
END_EVENTSINK_MAP()


void CBeauGaugeExample073Dlg::ValueChangedBgv6activexctrltrial2(LPCTSTR sName, double fValue)
{
	m_gauge1.SetValue(_T("Pointer1"),fValue);
}


void CBeauGaugeExample073Dlg::ValueChangedBgv6activexctrltrial3(LPCTSTR sName, double fValue)
{
	m_gauge4.SetValue(_T("ImageStateIndicator1"),fValue);
}


void CBeauGaugeExample073Dlg::OnTimer(UINT_PTR nIDEvent)
{
	if(nIDEvent == 1)
	{
		static int nValue = 0;
		m_gauge5.SetValue(_T("Pointer1"),nValue);
		nValue++;
		if(nValue>100)
			nValue = 0;
	}

	CDialogEx::OnTimer(nIDEvent);
}


void CBeauGaugeExample073Dlg::OnDestroy()
{
	CDialogEx::OnDestroy();

	this->KillTimer(1);
}
